document.addEventListener('DOMContentLoaded', () => {
  const gameBoard = document.getElementById('game-board');
  const playersList = document.getElementById('players-list');

  const candyTypes = ['red', 'yellow', 'green', 'blue', 'purple'];
  const boardSize = 8;

  function createBoard() {
    for (let i = 0; i < boardSize * boardSize; i++) {
      const candy = document.createElement('div');
      candy.classList.add('candy');
      const randomType = candyTypes[Math.floor(Math.random() * candyTypes.length)];
      candy.classList.add(randomType);
      gameBoard.appendChild(candy);
    }
  }

  function updateScoreboard(players) {
    playersList.innerHTML = '';
    players.forEach(player => {
      const li = document.createElement('li');
      li.textContent = `${player.name}: ${player.score}`;
      playersList.appendChild(li);
    });
  }

  // Example players data
  const players = [
    { name: 'Player 1', score: 0 },
    { name: 'Player 2', score: 0 }
  ];

  createBoard();
  updateScoreboard(players);
});